<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/Sys_User.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/system/Sys_User.jsx";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'user_Id',
            footer: "Foots",
            cnName: '用户管理',
            name: 'Sys_User',
            url: "/Sys_User/",
            sortName: "user_Id"
        });
        const editFormFields = ref({ "userName": "", "userTrueName": "", "role_Id": [], "deptIds": "", "enable": "", "gender": "", "remark": "", "headImageUrl": "", "systemType": "" });
        const editFormOptions = ref([[{ "title": "帐号", "required": true, "field": "userName", "disabled": true }],
        [{ "title": "姓名", "required": true, "field": "userTrueName", "type": "text" }],
        [{ "dataKey": "tree_roles", "data": [], "title": "角色", "required": true, "field": "role_Id", "type": "cascader" }],
        [{ "dataKey": "组织机构", "data": [], "title": "组织构架", "field": "deptIds", "colSize": 12, "type": "treeSelect" }],
        [{ "dataKey": "enable", "data": [], "title": "是否可用", "required": true, "field": "enable", "type": "select" }],
        [{ "dataKey": "gender", "data": [], "title": "性别", "field": "gender", "type": "select" }],
        [{ "title": "备注", "field": "remark", "colSize": 12, "type": "textarea" }],
        [{ "title": "头像", "field": "headImageUrl", "type": "img" }],
        [{ "title": "系统", "field": "systemType", "type": "text", "required": true }]]);
        const searchFormFields = ref({ "UserName": "", "UserTrueName": "", "Gender": "", "DeptName": "", "Role_Id": [], "Token": "", "AppType": [], "CreateDate": "", "IsRegregisterPhone": "", "PhoneNo": "", "Enable": "", "LastLoginDate": "", "Address": "", "Email": "" });
        const searchFormOptions = ref([[{ "title": "帐号", "field": "UserName" }, { "title": "姓名", "field": "UserTrueName" }, { "dataKey": "gender", "data": [], "title": "性别", "field": "Gender", "type": "select" }], [{ "title": "不用", "field": "DeptName" }, { "dataKey": "tree_roles", "data": [], "title": "角色", "field": "Role_Id", "type": "select" }, { "title": "Token", "field": "Token" }], [{ "dataKey": "ut", "data": [], "title": "类型", "field": "AppType", "type": "selectList" }, { "dataKey": "isphone", "data": [], "title": "手机用户", "field": "IsRegregisterPhone", "type": "select" }, { "title": "手机号", "field": "PhoneNo" }], [{ "dataKey": "enable", "data": [], "title": "是否可用", "field": "Enable", "type": "select" }, { "title": "地址", "field": "Address" }, { "title": "Email", "field": "Email" }], [{ "title": "注册时间", "field": "CreateDate", "type": "datetime" }, { "title": "最后登陆时间", "field": "LastLoginDate", "type": "datetime" }]]);
        const columns = ref([{ field: 'user_Id', title: 'User_Id', type: 'int', width: 90, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'userName', title: '帐号', type: 'string', link: true, width: 120, readonly: true, require: true, align: 'left', sort: true },
        { field: 'userTrueName', title: '姓名', type: 'string', width: 120, require: true, align: 'left' },
        { field: 'gender', title: '性别', type: 'int', bind: { key: 'gender', data: [] }, width: 80, align: 'left' },
        { field: 'headImageUrl', title: '头像', type: 'img', width: 90, align: 'left' },
        { field: 'dept_Id', title: '不用', type: 'int', width: 90, hidden: true, align: 'left' },
        { field: 'deptName', title: '不用', type: 'string', width: 150, hidden: true, align: 'left' },
        { field: 'role_Id', title: '角色', type: 'int', bind: { key: 'tree_roles', data: [] }, width: 130, require: true, align: 'left' },
        { field: 'roleName', title: '不用', type: 'string', width: 90, hidden: true, align: 'left' },
        { field: 'token', title: 'Token', type: 'string', width: 180, hidden: true, align: 'left' },
        { field: 'appType', title: '类型', type: 'int', bind: { key: 'ut', data: [] }, width: 150, hidden: true, align: 'left' },
        { field: 'deptIds', title: '组织构架', type: 'string', bind: { key: '组织机构', data: [] }, width: 140, hidden: true, align: 'left' },
        { field: 'createDate', title: '注册时间', type: 'datetime', width: 150, readonly: true, align: 'left', sort: true },
        { field: 'isRegregisterPhone', title: '手机用户', type: 'int', bind: { key: 'isphone', data: [] }, width: 120, hidden: true, align: 'left' },
        { field: 'phoneNo', title: '手机号', type: 'string', width: 150, hidden: true, align: 'left' },
        { field: 'tel', title: 'Tel', type: 'string', width: 90, hidden: true, align: 'left' },
        { field: 'createID', title: 'CreateID', type: 'int', width: 90, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', width: 130, readonly: true, align: 'left' },
        { field: 'enable', title: '是否可用', type: 'byte', bind: { key: 'enable', data: [] }, width: 90, require: true, align: 'left' },
        { field: 'modifyID', title: 'ModifyID', type: 'int', width: 90, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', width: 130, hidden: true, readonly: true, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', width: 90, hidden: true, readonly: true, align: 'left', sort: true },
        { field: 'auditStatus', title: '审核状态', type: 'int', bind: { key: 'audit', data: [] }, width: 90, hidden: true, align: 'left' },
        { field: 'auditor', title: '审核人', type: 'string', width: 90, hidden: true, align: 'left' },
        { field: 'auditDate', title: '审核时间', type: 'datetime', width: 150, hidden: true, align: 'left', sort: true },
        { field: 'lastLoginDate', title: '最后登陆时间', type: 'datetime', width: 150, hidden: true, align: 'left', sort: true },
        { field: 'lastModifyPwdDate', title: '最后密码修改时间', type: 'datetime', width: 150, hidden: true, align: 'left', sort: true },
        { field: 'address', title: '地址', type: 'string', width: 190, hidden: true, align: 'left' },
        { field: 'mobile', title: '电话', type: 'string', width: 140, hidden: true, align: 'left' },
        { field: 'email', title: 'Email', type: 'string', width: 140, hidden: true, align: 'left' },
        { field: 'remark', title: '备注', type: 'string', width: 180, hidden: true, align: 'left' },
        { field: 'orderNo', title: '排序号', type: 'int', width: 90, hidden: true, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
